
package org.gcube.portlets.gcubeckan.gcubeckandatacatalog.client;

import org.gcube.portlets.gcubeckan.gcubeckandatacatalog.client.view.GCubeCkanDataCatalogPanel;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.shared.GWT;
import com.google.gwt.user.client.ui.RootPanel;


/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class GCubeCkanDataCatalog implements EntryPoint {

	/**
	 * Create a remote service proxy to talk to the server-side Greeting
	 * service.
	 */
	public static final GcubeCkanDataCatalogServiceAsync service = GWT.create(GcubeCkanDataCatalogService.class);
	private final String DIV_PORTLET_ID = "gCubeCkanDataCatalog";
	private CkanEventHandlerManager eventManager = new CkanEventHandlerManager();


	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		new GCubeCkanDataCatalogPanel(RootPanel.get(DIV_PORTLET_ID), eventManager.getEventBus());
	}
}
