package org.gcube.portlets.gcubeckan.gcubeckandatacatalog.client;

import org.gcube.portlets.gcubeckan.gcubeckandatacatalog.shared.CkanRole;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("ckandatacatalogue")
public interface GcubeCkanDataCatalogService extends RemoteService {

	String getCKanConnector() throws Exception;

	/**
	 * @return
	 * @throws Exception
	 */
	CkanRole getMyRole() throws Exception;
	
	/**
	 * Asks who is the current user
	 * @return
	 */
	String getUser();
}
