/**
 *
 */
package org.gcube.portlets.gcubeckan.gcubeckandatacatalog.client.view;

import com.google.gwt.dom.client.Style.Unit;
import com.google.gwt.event.dom.client.LoadEvent;
import com.google.gwt.event.dom.client.LoadHandler;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Frame;


/**
 * The Class CkanFramePanel.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Jun 9, 2016
 */
public class CkanFramePanel extends FlowPanel{

	private Frame frame;

	/**
	 * Instantiates a new ckan frame panel.
	 */
	public CkanFramePanel() {

	}

	/**
	 * Instance frame.
	 *
	 * @param ckanUrlConnector the ckan url connector
	 * @return the frame
	 */
	public Frame instanceFrame(String ckanUrlConnector) {

		frame = new Frame(ckanUrlConnector);
		frame.getElement().getStyle().setBorderWidth(0, Unit.PX);
//		frame.getElement().setPropertyString("frameBorder", "0");
		frame.addLoadHandler(new LoadHandler() {

			@Override
			public void onLoad(LoadEvent arg0) {

				/*NodeList<Element> listHeaders = Document.get().getElementsByTagName("header");

				if(listHeaders!=null){
					GWT.log("List Header by tag name is/are: "+listHeaders.getLength() +", hidden..");
					for (int i = 0; i < listHeaders.getLength(); i++) {
						Element header = listHeaders.getItem(i);
						header.getStyle().setVisibility(Visibility.HIDDEN);
					}
				}else
					GWT.log("List Header by tag name is null");*/
			}
		});
		add(frame);
		return frame;
	}
	/**
	 * @return
	 */
	public Frame getFrame() {
		return frame;
	}
}
